<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.oa.mapper.SysOaWarehouseLogMapper">

    <resultMap type="com.ruoyi.oa.domain.SysOaWarehouseLog" id="SysOaWarehouseLogResult">
        <result property="logId" column="log_id"/>
        <result property="masterId" column="master_id"/>
        <result property="warehouseId" column="warehouse_id"/>
        <result property="num" column="num"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remark" column="remark"/>
    </resultMap>
    <select id="selectVoPagePlus" resultType="com.ruoyi.oa.domain.vo.SysOaWarehouseLogVo">
        SELECT
            log.*,
            master.master_num AS master_num,
            ware.name AS warehouse_name,
            ware.brand AS warehouse_brand,
            ware.model AS warehouse_model,
            ware.specifications AS warehouse_spspecifications
        FROM sys_oa_warehouse_log log
                 LEFT JOIN sys_oa_warehouse_master master ON log.master_id = master.master_id
                 LEFT JOIN sys_oa_warehouse ware ON log.warehouse_id = ware.id
            ${ew.customSqlSegment}
    </select>
    <select id="selectVoListPlus" resultType="com.ruoyi.oa.domain.vo.SysOaWarehouseLogVo">
        SELECT
            log.*,
            master.master_num AS master_num,
            ware.name AS warehouse_name,
            ware.brand AS warehouse_brand,
            ware.model AS warehouse_model,
            ware.specifications AS warehouse_spspecifications
        FROM sys_oa_warehouse_log log
                 LEFT JOIN sys_oa_warehouse_master master ON log.master_id = master.master_id
                 LEFT JOIN sys_oa_warehouse ware ON log.warehouse_id = ware.id
            ${ew.customSqlSegment}
    </select>


</mapper>
